AngleToReal Example

Using Programming Languages other than VBA

Sub Example_AngleToReal()
	' This example passes several different strings representing
	' an angle in different units to be converted to radians.

	Dim angAsStr As String
	Dim unit As Integer
	Dim angAsReal As Double

	' Convert the angle given in degrees unit to a real
	angAsStr = "45"
	unit = acDegrees
	angAsReal = ThisDrawing.Utility.AngleToReal(angAsStr, unit)
	MsgBox "45 degrees converts to " & angAsReal & " radians.", , "AngleAsReal Example"

	' Convert the angle given in degrees/minutes/seconds unit to Radians
	angAsStr = "45d0' 0"""
	unit = acDegreeMinuteSeconds
	angAsReal = ThisDrawing.Utility.AngleToReal(angAsStr, unit)
	MsgBox "45 degrees, 0 minutes, 0 seconds converts to " & angAsReal & " radians.", , "AngleAsReal Example"

	' Convert the angle given in grads unit to Radians
	angAsStr = "50"
	unit = acGrads
	angAsReal = ThisDrawing.Utility.AngleToReal(angAsStr, unit)
	MsgBox "50 grads converts to " & angAsReal & " radians.", , "AngleAsReal Example"

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.